/* Woocommerce Product Page shortcode style - begin
========================================================================== */

div.woocommerce {

    > .single-product {

        .images {
            position: relative;
            display: inline-block;
            vertical-align: middle;
            margin: 0;
            padding: 0;
    
            figure {
                position: relative;
                display: inline-block;
                vertical-align: top;
                margin: 0 -10px;
        
                a {
                    @include mkdfRelativeHolderLayout();
            
                    img {
                        position: relative;
                        width: 100%;
                        display: block;
                    }
                }
            }
    
            .woocommerce-product-gallery__trigger {
                position: absolute;
                top: 10px;
                right: 10px;
                width: 30px;
                height: 30px;
                line-height: 30px;
                text-align: center;
                z-index: 10;
            }
    
            .woocommerce-product-gallery__image {
                position: relative;
                display: inline-block;
                vertical-align: top;
                margin: 0;
                padding: 0 10px;
                box-sizing: border-box;
        
                &:first-child {
                    left: 10px;
                    width: calc(100% - 20px);
                    padding: 0;
                }
        
                .zoomImg {
                    cursor: crosshair;
                }
            }
    
            &.woocommerce-product-gallery--with-images {
        
                .woocommerce-product-gallery__image {
            
                    &:not(:first-child) {
                        float: left;
                        padding-top: 20px;
                    }
                }
            }
    
            $thumb_3_columns_label: ('columns-2', 'columns-3', 'columns-4');
            @for $i from 0 to length($thumb_3_columns_label) {
                &.woocommerce-product-gallery--#{nth($thumb_3_columns_label, $i+1)} {
                    $column_width: 100%/($i+2);
            
                    .woocommerce-product-gallery__image {
                
                        &:not(:first-child) {
                            width: $column_width;
                        }
                    }
                }
            }
        }
    
        .woocommerce-tabs {
            @include mkdfRelativeHolderLayout();
            margin: 30px 0 0;
        
            ul.tabs {
                @include mkdfRelativeHolderLayout();
                list-style: none;
                margin: 0;
                padding: 0;
                border-top: 1px solid $default-border-color;
                border-bottom: 1px solid $default-border-color;
                text-align: center;
                clear: both;
            
                > li {
                    position: relative;
                    display: inline-block;
                    vertical-align: middle;
                
                    a {
                        position: relative;
                        display: inline-block;
                        vertical-align: top;
                        padding: 13px 15px;
                    }
                }
            }
        
            .entry-content {
                @include mkdfRelativeHolderLayout();
            
                > h2 {
                    display: none;
                }
            
                > p {
                    margin: 18px 0 20px;
                }
            }
        
            table {
                margin: 18px 0 20px;
            
                tr, th {
                    border: 0;
                }
            
                td, th {
                    padding: 3px 0;
                    vertical-align: middle;
                    text-align: left;
                
                    p {
                        margin: 0;
                    }
                }
            
                th {
                    color: $default-heading-color;
                    width: 1%;
                    padding: 0 10px 0 0;
                }
            
                td {
                    width: 99%;
                }
            }
        
            #reviews {
                @include mkdfRelativeHolderLayout();
                margin: 18px 0 20px;
            
                h2 {
                    font-size: 18px;
                    line-height: 24px;
                    margin: 8px 0 24px;
                }
            
                ol.commentlist {
                    list-style: none;
                
                    .comment_container {
                        @include mkdfRelativeHolderLayout();
                    
                        img {
                            float: left;
                            width: 60px;
                        }
                    }
                
                    .comment-text {
                        padding: 0 0 0 80px;
                    
                        div[itemprop="description"] {
                            padding: 0;
                            margin: 0 0 15px;
                            border: 0;
                        }
                    
                        p {
                            margin: 5px 0 0;
                        }
                    }
                }
            
                .comment-respond {
                    margin-top: 15px;
                
                    .comment-reply-title {
                        margin: 0 0 10px;
                    }
                
                    p {
                        margin: 0;
                    }
                
                    .stars {
                        overflow: hidden;
                    
                        a {
                            position: relative;
                            display: inline-block;
                            color: transparent;
                            font-size: 0;
                            margin: 0;
                        
                            &:before {
                                position: relative;
                                display: inline-block;
                                vertical-align: middle;
                                font-family: "ElegantIcons";
                                content: "\e031";
                                font-size: 12px;
                                line-height: 1;
                                letter-spacing: 2px;
                                color: $default-text-color;
                                overflow: hidden;
                                z-index: -1;
                                -webkit-font-smoothing: antialiased;
                                -moz-osx-font-smoothing: grayscale;
                            }
                        
                            &.active:after {
                                position: absolute;
                                right: 0;
                                bottom: 7px;
                                display: block;
                                font-family: "ElegantIcons";
                                font-size: 12px;
                                line-height: 1;
                                letter-spacing: 2px;
                                color: $default-text-color;
                                content: "\e033\e033\e033\e033\e033";
                                -webkit-font-smoothing: antialiased;
                                -moz-osx-font-smoothing: grayscale;
                            }
                        }
                    }
                }
            }
        }
    
        .related.products,
        .upsells.products {
            margin: 30px 0 0;
            border-top: 1px solid $default-border-color;
        
            > h2 {
                display: block;
                margin: 36px 0 50px;
                text-align: center;
            }
        
            .product {
            
                .mkdf-pl-text-wrapper {
                    margin-bottom: 0;
                    text-align: center;
                }
            }
        }
    }
}

/* Woocommerce Product Page shortcode style - end
========================================================================== */